import { PluginTarget } from 'babel__core';
import { IOptions, IObject, BabelCreator } from './types';
declare type PluginEnabled = boolean | IObject | void;
declare type PluginEnabledGetter = (options: IOptions) => PluginEnabled;
declare type PluginOptions = IObject | void;
declare type PluginOptionsGetter = (options: IOptions) => PluginOptions;
declare type MergeWith = (options: IOptions) => any;
export declare const createPluginOptionsGetter: (mergeWith: MergeWith, defaultOptions?: IObject) => PluginOptionsGetter;
export default function createPluginCreator(target: PluginTarget, enable?: boolean | PluginEnabledGetter, options?: IObject | PluginOptionsGetter): BabelCreator;
export {};
